Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
builds
/
from-url
Create Build From Url
curl --request POST \
  --url https://backend.revyl.ai/api/v1/apps/{app_id}/builds/from-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_url": "<string>",
  "version": "<string>",
  "headers": {},
  "metadata": {},
  "set_as_current": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": "<string>",
  "artifact_url": "<string>",
  "metadata": {},
  "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uploaded_at": "2023-11-07T05:31:56Z",
  "download_url": "<string>",
  "package_name": "<string>",
  "was_reused": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

Body

application/json

Request to create a build by ingesting an artifact from a URL (e.g., Expo EAS).

from_url
string
required

Source URL of the artifact to ingest

version
string
required

Version string (must be unique within the app)

headers
Headers · object

Optional HTTP headers to include when fetching the URL

metadata
Metadata · object
set_as_current
boolean
default:false

If True, set this version as the current version for the app

Response

Successful Response

Response model for a build (specific artifact/version of an app).

id
string<uuid> | null
app_id
string<uuid> | null
version
string | null
artifact_url
string | null
metadata
Metadata · object
owner
string<uuid> | null
uploaded_at
string<date-time> | null
download_url
string | null
package_name
string | null
was_reused
boolean | null